By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
459,930 Members | 1,350 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 459,930 IT Pros & Developers. It's quick & easy.

trouble building python2.4

P: n/a
Greetings, I just downloaded the python2.4 source from python.org and
built it the usual way, i.e. ./configure && make. What I don't
understand is that the resulting binary, when run, prints this line
Python 2.3.4 (#1, Nov 15 2004, 10:29:48) at the top of its banner.
Further more, the poplib modules complains when I try to call the
poplib.POP3_SSL class, saying that the module has no such class, though
the online docs say it does.

I read the README and I didn't see anything about having to pass options
to configure to get it to build version 2.4. I appears to me that the
tarball I downloaded wasn't really python2.4, even though it was
'official' and named Python-2.4.tgz.

Can anyone please tell me what might of happened, or if they have had a
similar experience?

Thanks
-Matthew
Jul 18 '05 #1
Share this Question
Share on Google+
4 Replies


P: n/a
Matthew Thorley wrote:
Greetings, I just downloaded the python2.4 source from python.org and
built it the usual way, i.e. ./configure && make. What I don't
understand is that the resulting binary, when run, prints this line
Python 2.3.4 (#1, Nov 15 2004, 10:29:48) at the top of its banner.
Further more, the poplib modules complains when I try to call the
poplib.POP3_SSL class, saying that the module has no such class, though
the online docs say it does.


You've got a copy of Python 2.3.4 installed on your system which is in
your PATH first.

--
Erik Max Francis && ma*@alcyone.com && http://www.alcyone.com/max/
San Jose, CA, USA && 37 20 N 121 53 W && AIM erikmaxfrancis
And your daddy died for you / And I'll do the same
-- India Arie
Jul 18 '05 #2

P: n/a
Erik Max Francis wrote:
Matthew Thorley wrote:
Greetings, I just downloaded the python2.4 source from python.org and
built it the usual way, i.e. ./configure && make. What I don't
understand is that the resulting binary, when run, prints this line
Python 2.3.4 (#1, Nov 15 2004, 10:29:48) at the top of its banner.
Further more, the poplib modules complains when I try to call the
poplib.POP3_SSL class, saying that the module has no such class,
though the online docs say it does.

You've got a copy of Python 2.3.4 installed on your system which is in
your PATH first.

I have got to be the stupidest person on the face of the planet. Thanks
very much. I was in the Python-2.4 dir, but I didn't call python with
../python. I can't believe I missed that.

Thanks again
-Matthew
Jul 18 '05 #3

P: n/a
Matthew Thorley wrote:
I have got to be the stupidest person on the face of the planet.


I'll have you know I don't welcome newcomers to this newsgroup trying to
steal my hard-won reputation, if you don't mind.

keeping-it-light-ly y'rs - steve
--
Steve Holden http://www.holdenweb.com/
Python Web Programming http://pydish.holdenweb.com/
Holden Web LLC +1 703 861 4237 +1 800 494 3119
Jul 18 '05 #4

P: n/a
[Matthew Thorley]
I have got to be the stupidest person on the face of the planet.

[Steve Holden] I'll have you know I don't welcome newcomers to this newsgroup
trying to steal my hard-won reputation, if you don't mind.


In all fairness, Matthew did present evidence to support his claim.
For all we can tell from the above, Steve, you're merely asserting
that you enjoy unparalled stupidity, and may very well possess enough
intelligence to try reaping the benefits of others' boneheaded
mistakes through slick but empty rhetoric.

Of course the old-timers here know the truth of it, but in fairness to
Matthew you should really, say, type out the lyrics to "God Save the
Queen" a hundred or so times, and then ask why stupid Unicode doesn't
have a stupid .pop() method anyway.

god-save-our-gracious-queen-
long-live-our-noble-queen-
god-save-the-queen-
send-her-victorious-
happy-and-glorious-
long-to-reign-over-us-
god-save-the-queen-
stupid-unicode-pop-ly y'rs - tim
Jul 18 '05 #5

This discussion thread is closed

Replies have been disabled for this discussion.